# Utilities

> Utilities - Use the endpoints described below to configure and manage encrypted credentials.

This Markdown file sits beside the HTML page at the same path (with a `.md` suffix). It summarizes the topic and lists links for tools and LLM context.

Companion generated at `2026-05-06T18:17:09.809695+00:00` (UTC).

## Primary page

- [Utilities](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html): Full documentation for this topic (HTML).

## Sections on this page

- [Encrypt a string](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#encrypt-a-string): In-page section heading.
- [Body parameter](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#body-parameter): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#stringencryptions_create-parameters): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#example-responses): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#responses): In-page section heading.
- [StringEncryption](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#tocS_StringEncryption): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#properties): In-page section heading.
- [StringEncryptionResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#tocS_StringEncryptionResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/utilities.html#properties_1): In-page section heading.

## Related documentation

- [Developer documentation](https://docs.datarobot.com/en/docs/api/index.html): Linked from this page.
- [API reference](https://docs.datarobot.com/en/docs/api/reference/index.html): Linked from this page.
- [REST API](https://docs.datarobot.com/en/docs/api/reference/public-api/index.html): Linked from this page.
- [Administration](https://docs.datarobot.com/en/docs/api/reference/public-api/tag-admin.html): Linked from this page.

## Documentation content

Use the endpoints described below to configure and manage encrypted credentials.

## Encrypt a string

Operation path: `POST /api/v2/stringEncryptions/`

Authentication requirements: `BearerAuth`

DataRobot does not store your credentials when accessing external data stores. Instead you first encrypt your sensitive information with DataRobot and then, when accessing those data stores, supply the encrypted credentials. DataRobot will decrypt your credentials and use them to establish a connection to your data store.

### Body parameter

```
{
  "properties": {
    "plainText": {
      "description": "String to be encrypted. DataRobot will decrypt the string when needed to access data stores.",
      "type": "string"
    }
  },
  "required": [
    "plainText"
  ],
  "type": "object"
}
```

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | StringEncryption | false | none |

### Example responses

> 200 Response

```
{
  "properties": {
    "cipherText": {
      "description": "Encrypted version of plainText input.",
      "type": "string"
    }
  },
  "required": [
    "cipherText"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | The encrypted string. | StringEncryptionResponse |

# Schemas

## StringEncryption

```
{
  "properties": {
    "plainText": {
      "description": "String to be encrypted. DataRobot will decrypt the string when needed to access data stores.",
      "type": "string"
    }
  },
  "required": [
    "plainText"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| plainText | string | true |  | String to be encrypted. DataRobot will decrypt the string when needed to access data stores. |

## StringEncryptionResponse

```
{
  "properties": {
    "cipherText": {
      "description": "Encrypted version of plainText input.",
      "type": "string"
    }
  },
  "required": [
    "cipherText"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| cipherText | string | true |  | Encrypted version of plainText input. |
